{ self, pkgs, config, lib, ... }:
{
  imports = [
    ./configuration.nix
    ../users/anish
    ../profiles/core
    # ../profiles/bluetooth
    # ../profiles/music
    ../profiles/sync/cal
    ../profiles/wifi
    # ../profiles/desktop  # Disabled: conflicts with jovian desktop manager
    ../profiles/mimetypes
    ../profiles/syncthing
    ../profiles/mossnet-hosts
    # ../profiles/fly-wg
    # ../profiles/mount-mossnet
  ];

  # age.secrets.deck-wg.file = "${self}/secrets/deck-wg.age";
  # age.secrets.deck-wg.owner = "deck";
  # mossnet.wg = {
  #   enable = true;
  #   ips = [ "10.0.69.6/24" ];
  #   privateKeyFile = "/run/agenix/deck-wg";
  # };

  users.users.anish.extraGroups = [ "adbusers" "wheel" "plugdev" "libvertd" ];
  # boot.plymouth = {
  #   enable = true;
  #   themePackages = [ pkgs.plymouth-themes ];
  #   theme = "motion";
  # };

  jovian.steam.enable = true;
  jovian.devices.steamdeck.enable = true;
  jovian.steam.user = "anish";
  jovian.steam.autoStart = true;
  jovian.steam.desktopSession = "gamescope-wayland";

  # Disable lightdm from desktop profile
  services.xserver.displayManager.lightdm.enable = lib.mkForce false;

  # Install XR drivers
  # environment.systemPackages = with pkgs; [
  #   xrlinuxdriver
  #   breezy-gnome
  # ];

  # services.udev.packages = with pkgs; [
  #   xrlinuxdriver
  # ];

}
